
// init process(FM)
uint16_t initData_FM[41] PROGMEM = {
	0x8000, // device ID
	0x1080,
	0x0281, // power config(02h)
			// 0000 0010 10 00 000 1
			// |||| |||| ||[54 321]|
			// |||| |||| || SNR    +ENABLE
			// |||| |||| +SKAFCRL
			// |||| |||+SEEK (1: Enable seek) Note: pos edge starts seek process
			// |||| ||+SEEKUP (1: UP)
			// |||| |+SKMODE (1: Stop at band limit, 0: wrapped seek)
			// |||| +STEREO
			// |||+MONO
	
	0x0000, // channel(03h)
			//  0 000 0000 0000 0000
			//  |[432 1098 7654 3210]
			//  |   CHAN(freq = BAND + CHAN * SPACE)
			//  +TUNE(1: Enable), Note: pos edge starts tune process, continuing during TUNE = 1 and SEEK = 0
			
	0x20C0, // system config 1
			//  0010 0000 1100 0000
	
	0x375A, // sys con 2(05h)
			//  0011 011   1 0  10  1 1010
			// [5432 109] [8 7][65][4 3210]
			// THRE       BAND SPACE VOLUME
			// (BAND(AM/FM): 00: LW/FULL BAND, 01: MW/E.Europe, 10: SW/Japan, 11: MW/Europe)
			//   start freq.     153k/64M         520k/64M        2300k/76M     522k/87M
			// (SPACE(AM/FM): 00: 1k/10k, 01: 5k/50k, 10: 9k/100k, 11: 10k/200k
			
	0x0860, // sys con 3(06h)
//	0x01EF, // sys con 3
			//  0000 1 000 0110  1110
			//       |[098 7654][3210]
			//       |  SKSNR    SKCNT
			//       +CLKSEL
	0x0A01, // test 1(07h)
			// 0000 1010  0000 0  001
			// 5432 1098 [7654 3][210]
			//   |       STGAIN   FMGAIN
			//   +MODE: (0: FM, 1: AM)
			
	0x9C90, // test 2
			//  1001 1100 1001 0000
			//  
	0x17A0, // status 1(09h)
			//  0001 0111 1  010 0000
			// [5432 1098 7][654 3210]
			//  AFC Value    SNR Value[db]
			
	0x402B, // status 2(0Ah)
			//  0100  0000 0 010 1011
			//  |||| [1098]|[654 3210]
			//  ||||       |  RSSI
			//  ||||       +STEREO
			//  |||+AFCRL
			//  ||+SF/BL (1: Band limit reached, 0: Seek Successful)
			//  |+STC (1: Tune, 0: Not Complete)
			//  +RDSR(1: Ready)
			
	0x0040, // read ch
	0x0000, // rds1
	0x0000, // rds2
	0x0000, // rds3
	
	0x0000, // rds4
	0x7B11, // boot config 1
	0x0800, // boot config 2
			// 0000 1000 0000 0000
			//  [32 1098 7] : Stereo analysis level
	0x4000, // boot config 3
	0x4144, // boot config 4
	
	0x829A, // boot config 5
	0x7812, // boot config 6
	0x43BB, // boot config 7
	0x0B41, // boot config 8
	0x143C,
	
	0x000E,//25 = 19h
	0x0000, // boot config 11
	0x48D4, // analog config 1
	0x0000, // analog config 2
	0x0200, // analog config 3
//	0x0010, // analog config 3
	
	0x80AA,//30(1Eh)
	0x0000,
	0x0EF7,
	0x0600,
	0x0000,
	
	0x7000,//35
	0x0880,
	0x8D83,
	0x8000,
	0x0000,
	0x4400//40
};

// init process(AM)
uint16_t initData_AM[41] PROGMEM = {
	0x8000, // device ID
	0x1080,
	0x0281, // power config(02h)
			// 0000 0110 10 00 000 1
			// |||| |||| ||[54 321]|
			// |||| |||| || SNR    +ENABLE
			// |||| |||| +SKAFCRL
			// |||| |||+SEEK (1: Enable seek) Note: pos edge starts seek process
			// |||| ||+SEEKUP (1: UP)
			// |||| |+SKMODE (1: Stop at band limit, 0: wrapped seek)
			// |||| +STEREO
			// |||+MONO
	
	0x0000, // channel(03h)
			//  0 000 0000 0000 0000
			//  |[432 1098 7654 3210]
			//  |   CHAN(freq = BAND + CHAN * SPACE)
			//  +TUNE(1: Enable), Note: pos edge starts tune process, continuing during TUNE = 1 and SEEK = 0
			
	0x60C0, // system config 1
	
	0x1FDD, // sys con 2(05h)
			//  0001 111   1 1  10  1 1101
			// [5432 109] [8 7][65][4 3210]
			// THRE       BAND SPACE VOLUME
			// (BAND(AM/FM): 00: LW/FULL BAND, 01: MW/E.Europe, 10: SW/Japan, 11: MW/Europe)
			//   start freq.     153k/64M         520k/64M        2300k/76M     522k/87M
			// (SPACE(AM/FM): 00: 1k/10k, 01: 5k/50k, 10: 9k/100k, 11: 10k/200k
			
	0x0930, // sys con 3(06h)
			//  0000 1 001 0011  0000
			//       |[098 7654][3210]
			//       |  SKSNR    SKCNT
			//       +CLKSEL
	0x2901, // test 1(07h)
			// 0010 1001  0000 0  001
			// 5432 1098 [7654 3][210]
			//   |       STGAIN   FMGAIN
			//   +MODE: (0: FM, 1: AM)
			
	0xAC8C, // (*)test 2 (*)
	0x1093, // status 1(09h)
			//  0001 0111 1  001 0011
			// [5432 1098 7][654 3210]
			//  AFC Value    SNR Value[db]
			
	0x402B, // status 2(0Ah)
			//  0100  0000 0 010 1011
			//  |||| [1098]|[654 3210]
			//  ||||       |  RSSI
			//  ||||       +STEREO
			//  |||+AFCRL
			//  ||+SF/BL (1: Band limit reached, 0: Seek Successful)
			//  |+STC (1: Tune, 0: Not Complete)
			//  +RDSR(1: Ready)
			
	0x004B, // read ch
	0x0000, // rds1
	0x0000, // rds2
	0x0000, // rds3
	
	0x0000, // rds4
	0x7B11, // 16 = boot config 1
	0x0C00, // boot config 2
	0x4000, // boot config 3
	0x4344, // (*)boot config 4 
	
	0x878E, // (*)boot config 5
	0x7812, // boot config 6
	0x4000, // (*)boot config 7
	0x0B55, // (*)boot config 8
	0x341C, // (*)boot config 9 (341c : for bar antennor / b41c : whip antennor)
	
	0x000D, // (*)25 = 19h
	0x0001, // (*)boot config 11
	0x48D4, // analog config 1
	0x0000, // analog config 2
	0x0200, // analog config 3
//	0x0010, // analog config 3
	
	0x80AA,//30(1Eh)
	0x0000,
	0x0EF7,
	0x0600,
	0x0000,
	
	0xF438,// (*)35
	0x0880,
	0x8C06, //(*)
	0x8400, //(*)
	0x0000,
	0x4400//40
};
